Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.configuration
Interface Configurer

    public interface Configurer

The configurer's interface A class that implements this interface will perform a bean's configuration work

Field Summary
`static java.lang.String` | `DEFAULT_USER_CFG_FILE`
`static java.lang.String` | `USER_CFG_FILE_PROPERTY_NAME`
`static java.lang.String` | `USER_CFG_FILE_PROPERTY_URL`

Method Summary
`void` | `configureBean(java.lang.Object beanInstance)` set up the Bean's value by using Dependency Injection from the application context
`void` | `configureBean(java.lang.String name, java.lang.Object beanInstance)` set up the Bean's value by using Dependency Injection from the application context with a proper name.

Field Detail

### DEFAULT_USER_CFG_FILE

    static final java.lang.String DEFAULT_USER_CFG_FILE

See Also:
  Constant Field Values

### USER_CFG_FILE_PROPERTY_NAME

    static final java.lang.String USER_CFG_FILE_PROPERTY_NAME

See Also:
  Constant Field Values

### USER_CFG_FILE_PROPERTY_URL

    static final java.lang.String USER_CFG_FILE_PROPERTY_URL

See Also:
  Constant Field Values

Method Detail

### configureBean

    void configureBean(java.lang.Object beanInstance)

  set up the Bean's value by using Dependency Injection from the application context

  Parameters:
    `beanInstance` - the instance of the bean which needs to be configured

### configureBean

    void configureBean(java.lang.String name,
                       java.lang.Object beanInstance)

  set up the Bean's value by using Dependency Injection from the application context with a proper name. You can use * as the prefix of wildcard name.

  Parameters:
    `name` - the name of the bean which needs to be configured
    `beanInstance` - the instance of bean which need to be configured

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF